## os-autoinst 4.3%2Bgit20160919

=== debian/changelog ===
os-autoinst (4.3+git20160919-3) unstable; urgency=medium

  * debian/control
    - set libtest-compile-perl (>= 1.1.0) from fedora spec file. 
    - drop unnecessary Build-Depends
    - add libnet-ssh2-perl and libexception-class-perl for Depends

 -- Hideki Yamane <henrich@debian.org>  Tue, 20 Sep 2016 00:33:59 +0900

os-autoinst (4.3+git20160919-1) unstable; urgency=medium

  * taken from git repo
  * debian/control
    - fix Vcs-Browser 
    - change "Depends: qemu-kvm | qemu" to satisfy dependency in some arch.
    - add Build-Depends: libdevel-cover-perl,libtest-output-perl, 
      libtest-pod-perl, libtry-tiny-perl, libpod-coverage-perl,
      libtest-mockmodule-perl and libtest-fatal-perl to enable tests
    - set Debhelper (>= 10)
  * debian/patches
    - drop 0001-use-fputs-rather-than-fprintf-to-avoid-format-not-a-.patch
      merged upstream.
    - refresh 0002-adjust-systemd-file-location.patch

 -- Hideki Yamane <henrich@debian.org>  Mon, 19 Sep 2016 05:12:58 +0900

os-autoinst (4.3-1) unstable; urgency=medium

  * Initial release (Closes: #690244)

 -- Hideki Yamane <henrich@debian.org>  Tue, 30 Aug 2016 01:06:42 +0900
