=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure
	cd $(CURDIR)/ppmclibs; perl Makefile.PL PREFIX=/usr

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/os-autoinst/usr/bin/isotovideo \
	    $(CURDIR)/debian/os-autoinst/usr/bin/isotovideo.real
	install -m 0755 $(CURDIR)/debian/isotovideo.sh \
	    $(CURDIR)/debian/os-autoinst/usr/bin/isotovideo

override_dh_fixperms:
	dh_fixperms
	find $(CURDIR)/debian/os-autoinst/usr/lib/*/os-autoinst/ \
             -name "*.pm" -exec chmod -x {} \;
