## os-autoinst 4.3+git20160919

=== debian/control ===
Source: os-autoinst
Section: devel
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>= 10), pkg-config,
               libtheora-dev,
               libpng-dev,
               libopencv-dev,
               libjson-perl,
               tesseract-ocr,
               libfftw3-dev,
               libsndfile1-dev,
               libmojolicious-perl,
               libtest-compile-perl (>= 1.1.0),
               libipc-system-simple-perl,
               libclass-accessor-perl,
               libperl-critic-perl,
               libnet-dbus-perl,
               libcrypt-des-perl,
               libipc-run-perl,
               libnet-ssh2-perl,
               libxml-libxml-perl,
               libdevel-cover-perl,
               libtest-output-perl,
               libtest-pod-perl,
               libtry-tiny-perl,
               libpod-coverage-perl,
               libtest-fatal-perl,
               libtest-mockmodule-perl,
Standards-Version: 3.9.8
Homepage: https://os-autoinst.github.io/openQA/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/os-autoinst.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/os-autoinst.git

Package: os-autoinst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         qemu-kvm | qemu, ffmpeg2theora, optipng,
         libmojolicious-perl, libcrypt-des-perl, libyaml-perl,
         libdata-dump-perl, libclass-accessor-perl, libcarp-always-perl,
         libexception-class-perl, libnet-ssh2-perl,
         git, gocr, sox, python,
Enhances: openqa
Recommends: vinagre, multimon, eatmydata
Description: automated testing of Operating Systems
 The OS-autoinst project aims at providing a means to run fully automated
 tests. Especially to run tests of basic and low-level operating system
 components such as bootloader, kernel, installer and upgrade, which can not
 easily and safely be tested with other automated testing frameworks.
 However, it can just as well be used to test firefox and openoffice operation
 on top of a newly installed OS.
 .
 os-autoinst can be executed alone, but is currently designed to be executed
 together with openQA, the web user interface that allows one to run more than
 one os-autoinst instance at the same time.
