=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/os-autoinst/os-autoinst/releases \
 /os-autoinst/os-autoinst/archive/([\d\.]*).tar.gz
