## os-autoinst 4.5.1527308405.8b586d5

=== debian/changelog ===
os-autoinst (4.5.1527308405.8b586d5-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add patch to avoid race condition in osutils::runcmd (Cloese: #921757)

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Feb 2019 20:01:55 +0100

os-autoinst (4.5.1527308405.8b586d5-4) unstable; urgency=medium

  * debian/control
    - just build for i386 and amd64 for now...

 -- Hideki Yamane <henrich@debian.org>  Sun, 06 Jan 2019 15:22:32 +0900

os-autoinst (4.5.1527308405.8b586d5-3) unstable; urgency=medium

  * debian/control
    - set Standards-Version: 4.3.0
    - use dh12, set "Build-Depends: debhelper (>= 12), debhelper-compat (= 12)"
    - replace from qemu-kvm (oldlibs) to qemu-system-x86 and just target
      x86 systems for now
    - set "Rules-Requires-Root: no" and "Build-Depends: dpkg-dev (>= 1.19.0)"
  * debian/compat
    - drop it
  * debian/watch
    - update to version 4
  * debian/rules
    - adjust path in override_dh_fixperms with installation to /usr/libexec

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

 -- Hideki Yamane <henrich@debian.org>  Sat, 05 Jan 2019 17:13:53 +0900

os-autoinst (4.5.1527308405.8b586d5-2) unstable; urgency=medium

  * debian/control
    - add Build-Depends-Indep: wget for test
  * debian/copyright
    - use https for copyright format
    - update copyright year

 -- Hideki Yamane <henrich@debian.org>  Tue, 02 Oct 2018 21:19:30 +0900

os-autoinst (4.5.1527308405.8b586d5-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patch
    - add 0003-adjust-to-avoid-ocr-test-failure.patch (Closes: #893645)
    - add 0004-avoid-make-check-doc-failure.patch
    - add 0005-set-perl-path.patch to avoid lintian error
  * debian/control
    - add Build-Depends: libsocket-msghdr-perl, spell for test
    - move Vcs-* to salsa.debian.org
  * debian/rules
    - set --no-parallel for dh_auto_test to avoid random test failure
      (Closes: #880791)

 -- Hideki Yamane <henrich@debian.org>  Mon, 24 Sep 2018 20:48:29 +0900

os-autoinst (4.4.1508936943.39adc5eb-2) unstable; urgency=medium

  * debian/control
    - fix Dependecy to tesseract-ocr-all (Closes: #883809)
      Thanks to Andreas Beckmann <anbe@debian.org>
    - set Standards-Version: 4.1.2

 -- Hideki Yamane <henrich@debian.org>  Mon, 11 Dec 2017 20:26:35 +0900

os-autoinst (4.4.1508936943.39adc5eb-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    0003-avoid-clean-.orig-file.patch: drop, merged upstream
  * debian/control
    - specify build-depends to qemu-kvm for only amd64 and i386

 -- Hideki Yamane <henrich@debian.org>  Sat, 04 Nov 2017 18:43:15 +0900

os-autoinst (4.3+git20171005-2) unstable; urgency=medium

  * debian/control
    - fix tesseract dependency to use tesseract-all
    - adjust Build-Depends: qemu-system, not qemu

 -- Hideki Yamane <henrich@debian.org>  Fri, 27 Oct 2017 05:30:22 +0900

os-autoinst (4.3+git20171005-1) unstable; urgency=medium

  * taken from upstream git repo, again (Closes: #871819)
  * debian/control
    - refresh Build-Depends and Depends with upstream's change
    - update Homepage:
    - set Standards-Version: 4.1.1
    - add Depends: python for crop.py
  * debian/patches
    - add 0003-avoid-clean-.orig-file.patch
    - add 0004-drop-unnecessary-docs.patch

 -- Hideki Yamane <henrich@debian.org>  Thu, 26 Oct 2017 21:33:31 +0900
