=== debian/rules ===
--- 
+++ 
@@ -31,5 +31,8 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	find $(CURDIR)/debian/os-autoinst/usr/lib/*/os-autoinst/ \
+	find $(CURDIR)/debian/os-autoinst/usr/libexec/os-autoinst/ \
              -name "*.pm" -exec chmod -x {} \;
+
+override_dh_auto_test:
+	dh_auto_test --no-parallel
