=== debian/watch ===
version=4

https://github.com/os-autoinst/@PACKAGE@/releases \
 /os-autoinst/@PACKAGE@/archive/@ANY_VERSION@@ARCHIVE_EXT@
