## os-autoinst 4.6.1604525166.912dfbd

=== debian/changelog ===
os-autoinst (4.6.1604525166.912dfbd-0.3) unstable; urgency=medium

  * Non-maintainer upload
  * Stick to tests that upstream runs (Closes: #977990)

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 01 Apr 2021 12:50:51 +0200

os-autoinst (4.6.1604525166.912dfbd-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Use CI=1 to increase test timeouts (Closes: #918584)
  * Add d/gbp.conf to easy gbp usage
  * Remove .packlist files (Closes: #974573)

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 22 Dec 2020 15:00:29 +0100

os-autoinst (4.6.1604525166.912dfbd-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #966367)
    - 01-test_needle.t ok now on i386 (Closes: #918584)
  * Bring os-autoinst to ppc64el too
  * Update watch file to pull source from git directly
  * Remove unneeded patches
  * Hardcode os-autoinst version in isotovideo
  * Rediff patches
  * Update build dependencies for tests
  * Upgrade debhelper compat level
  * Clean build flags imports
  * Drop isotovideo.sh wrapper (Closes: #930409)
  * Clean remaining bits between builds
  * Use cmake/ninja
  * Fix python interpreter directive for crop.py

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 05 Nov 2020 15:24:33 +0100

os-autoinst (4.5.1527308405.8b586d5-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to migrate from python2 to python3. (Closes: #937217)
  * Add patch to fix FTBFS with opencv 4.2.1. (Closes: #943602)

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Jul 2020 17:52:00 -0400
