=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 12), debhelper-compat (= 12), pkg-config, perltidy,
+Build-Depends: debhelper-compat (= 13), pkg-config, perltidy,
+               cmake,
+               ninja-build,
                dpkg-dev (>= 1.19.0~),
                libtheora-dev,
                libpng-dev,
@@ -15,7 +17,7 @@
 # Build-Depends doesn't specify version
                libmojolicious-perl,
 # same as Depends:
-               qemu-system-x86 (>= 2.0.0) [amd64 i386],
+               qemu-system-x86 (>= 2.0.0) [amd64 i386 ppc64el],
 # First, we'll put this package to x86 archs...
 #              qemu-system (>= 2.0.0) [!amd64 !i386],
                qemu-utils,
@@ -25,7 +27,6 @@
                libjson-perl,
                libnet-dbus-perl,
                libipc-system-simple-perl,
-               libnet-ssh2-perl,
                libxml-libxml-perl,
                libnet-ssh2-perl,
                libtest-mockmodule-perl,
@@ -49,9 +50,21 @@
                libperl-critic-perl,
                libtest-mock-time-perl,
                libsocket-msghdr-perl,
+               libcpanel-json-xs-perl,
+               libmojo-ioloop-readwriteprocess-perl,
+               libtest-strict-perl,
+               libtest-exception-perl,
+               libfile-touch-perl,
+               libtest-mockobject-perl,
+               libtest-most-perl,
+               libyaml-pp-perl,
+               libxml-semanticdiff-perl,
+               libio-stringy-perl,
                spell,
                git,
                wget,
+               cpio,
+               procps,
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: http://open.qa
@@ -59,11 +72,11 @@
 Vcs-Browser: https://salsa.debian.org/debian/os-autoinst
 
 Package: os-autoinst
-Architecture: i386 amd64
+Architecture: i386 amd64 ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends},
          qemu-system-x86 (>= 2.0.0), qemu-utils,
          optipng, git, tesseract-ocr-all,
-         python,
+         python3,
 # specify version
                libmojolicious-perl (>= 5.60),
 # same as B-D
@@ -73,7 +86,6 @@
                libjson-perl,
                libnet-dbus-perl,
                libipc-system-simple-perl,
-               libnet-ssh2-perl,
                libxml-libxml-perl,
                libnet-ssh2-perl,
                libtest-mockmodule-perl,
