## os-autoinst 4.6.1632799442.f77d4e1

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
     backend/s390x.pm
     backend/spvm.pm
     backend/svirt.pm
+    backend/vagrant.pm
     backend/virt.pm
     basetest.pm
     bmwqemu.pm
@@ -39,6 +40,7 @@
     consoles/serial_screen.pm
     consoles/sshIucvconn.pm
     consoles/ssh_screen.pm
+    consoles/sshSerial.pm
     consoles/sshVirtsh.pm
     consoles/sshVirtshSUT.pm
     consoles/sshX3270.pm
@@ -80,6 +82,7 @@
 set(MISC_FILES
     consoles/icewm.cfg
     crop.py
+    testapi.py
     dmidata/dell_e6330/smbios_type_1.bin
     dmidata/dell_e6330/smbios_type_2.bin
     dmidata/dell_e6330/smbios_type_3.bin
@@ -101,6 +104,9 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake;${CMAKE_MODULE_PATH}")
 include(pkg-config)
 find_package(OpenCV REQUIRED)
+
+# configure flags regarding warnings
+include(warnings)
 
 # build and install tools/libraries in sub directories
 add_subdirectory(debugviewer)
@@ -193,6 +199,11 @@
     COMPONENT "openvswitch"
     EXCLUDE_FROM_ALL
 )
+install(
+    FILES "check_qemu_oom"
+    DESTINATION "${OS_AUTOINST_DATA_DIR}"
+    PERMISSIONS ${EXECUTABLE_PERMISSIONS}
+)
 add_custom_target(install-openvswitch
     COMMAND "${CMAKE_COMMAND}" -DCMAKE_INSTALL_COMPONENT=openvswitch -P "${CMAKE_BINARY_DIR}/cmake_install.cmake")
 
@@ -203,7 +214,7 @@
 add_custom_target(
     update-deps
     COMMENT "Updating dependency information"
-    COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/tools/update-deps" --specfile dist/rpm/os-autoinst.spec --dockerfile docker/travis_test/Dockerfile
+    COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/tools/update-deps" --specfile dist/rpm/os-autoinst.spec --dockerfile container/os-autoinst_dev/Dockerfile
     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
 )
