=== ppmclibs/CMakeLists.txt ===
--- 
+++ 
@@ -77,6 +77,11 @@
 target_link_libraries(tinycv PRIVATE opencv_core opencv_imgcodecs)
 target_include_directories(tinycv PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}" "${PERL_INCLUDE_DIRECTORY}")
 target_compile_definitions(tinycv PRIVATE "-DVERSION=\"1.0\"" "-DXS_VERSION=\"1.0\"" "-D_LARGEFILE_SOURCE" "-D_FILE_OFFSET_BITS=64")
+target_compile_options(tinycv PRIVATE ${PRIVATE_COMPILE_OPTIONS})
+if (ENABLE_WARNINGS AND (CMAKE_CXX_COMPILER_ID MATCHES ".*Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "GNU"))
+    # disable certain warnings in the XS file as it is generated by xsubpp (and hence we have no way of fixing these)
+    set_source_files_properties("${PREPROCESSED_XS_FILE}" PROPERTIES COMPILE_OPTIONS "-Wno-old-style-cast;-Wno-sign-conversion;-Wno-conversion")
+endif ()
 set_target_properties(tinycv PROPERTIES PREFIX "") # remove lib prefix (library is *not* supposed to be called libtinycv.so)
 
 # install the native library and Perl code
