=== debian/changelog ===
os-autoinst (4.6.1632799442.f77d4e1-1build2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 15:39:41 +0100

os-autoinst (4.6.1632799442.f77d4e1-1build1) jammy; urgency=medium

  * No-change rebuild against libopencv-core4.5d

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 00:52:08 +0000

os-autoinst (4.6.1632799442.f77d4e1-1) unstable; urgency=medium

  * refer to openvswitch-switch.service (Closes: #983097)
  * New upstream release (Closes: #994268)
  * set myself as maintainer
  * switch to dgit-maint-merged workflow

 -- Philip Hands <phil@hands.com>  Wed, 29 Sep 2021 15:39:23 +0200
