=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: os-autoinst
 Section: devel
 Priority: optional
-Maintainer: Hideki Yamane <henrich@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hideki Yamane <henrich@debian.org>
+Uploaders: Philip Hands <phil@hands.com>
 Build-Depends: debhelper-compat (= 13), pkg-config, perltidy,
                cmake,
                ninja-build,
@@ -17,7 +19,7 @@
 # Build-Depends doesn't specify version
                libmojolicious-perl,
 # same as Depends:
-               qemu-system-x86 (>= 2.0.0) [amd64 i386 ppc64el],
+               qemu-system-x86 (>= 4.0.0) [amd64 i386 ppc64el],
 # First, we'll put this package to x86 archs...
 #              qemu-system (>= 2.0.0) [!amd64 !i386],
                qemu-utils,
@@ -60,21 +62,25 @@
                libyaml-pp-perl,
                libxml-semanticdiff-perl,
                libio-stringy-perl,
+               libinline-perl,
+               libinline-python-perl,
+               libfile-chdir-perl,
+               libtest-mockrandom-perl,
                spell,
                git,
                wget,
                cpio,
                procps,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0.1
 Homepage: http://open.qa
 Vcs-Git: https://salsa.debian.org/debian/os-autoinst.git
 Vcs-Browser: https://salsa.debian.org/debian/os-autoinst
 
 Package: os-autoinst
 Architecture: i386 amd64 ppc64el
-Depends: ${shlibs:Depends}, ${misc:Depends},
-         qemu-system-x86 (>= 2.0.0), qemu-utils,
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
+         qemu-system-x86 (>= 4.0.0), qemu-utils,
          optipng, git, tesseract-ocr-all,
          python3,
 # specify version
@@ -108,6 +114,7 @@
 # Upstream recommends: /usr/bin/Xvnc
             tigervnc-standalone-server,
 # Upstream recommends: dumponlyconsole
+            openvswitch-switch,
 Description: automated testing of Operating Systems
  The OS-autoinst project aims at providing a means to run fully automated
  tests. Especially to run tests of basic and low-level operating system
