=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,10 @@
 	dh_auto_install
 	find $(CURDIR)/debian/os-autoinst/usr/lib/ -name "*.packlist" -delete
 
+override_dh_fixperms:
+	dh_fixperms
+	chmod +x $(CURDIR)/debian/os-autoinst/usr/lib/os-autoinst/dmidata/dump
+
 override_dh_auto_test:
 	cd build && CI=1 ninja -v check-pkg-build
