## os-autoinst 4.6.1667579802.62acb888

=== debian/changelog ===
os-autoinst (4.6.1667579802.62acb888-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1667579802.62acb888.
  * disable some tests that fail only in recent Debian
  * make tests verbose

 -- Philip Hands <phil@hands.com>  Tue, 15 Nov 2022 11:29:34 +0100

os-autoinst (4.6.1632799442.f77d4e1-4) unstable; urgency=medium

  * drop apparently unneeded perltidy build-dep
  * get salsa crossbuild test to pass (<!nocheck>)
  * reproducibility: discard ...newvars file

 -- Philip Hands <phil@hands.com>  Tue, 08 Nov 2022 09:26:28 +0100

os-autoinst (4.6.1632799442.f77d4e1-3) experimental; urgency=low

  * try setting Architecture: any, to see what works

 -- Philip Hands <phil@hands.com>  Fri, 30 Sep 2022 09:26:15 +0200

os-autoinst (4.6.1632799442.f77d4e1-2) unstable; urgency=medium

  * rebuild in order to update dependencies on libopencv-dev to new SO so
    that openqa can build again
  * temporarily disable failing tests
  * switch to dgit-debrebase workflow

 -- Philip Hands <phil@hands.com>  Wed, 28 Sep 2022 12:17:25 +0200
