=== debian/control ===
Source: os-autoinst
Section: devel
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Uploaders: Philip Hands <phil@hands.com>
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               cmake,
               ninja-build,
               dpkg-dev (>= 1.19.0~),
               libtheora-dev,
               libpng-dev,
               libopencv-dev,
               tesseract-ocr,
               libfftw3-dev,
               libsndfile1-dev,
# In Debian, we should NOT get modules from cpan...
               libmodule-cpanfile-perl <!nocheck>,
# Build-Depends doesn't specify version
               libmojolicious-perl <!nocheck>,
# same as Depends:
               qemu-system-x86 (>= 4.0.0),
# First, we'll put this package to x86 archs...
#              qemu-system (>= 2.0.0) [!amd64 !i386],
               qemu-utils,
               libcarp-always-perl <!nocheck>,
               libdata-dump-perl <!nocheck>,
               libcrypt-des-perl <!nocheck>,
               libjson-perl,
               libnet-dbus-perl <!nocheck>,
               libipc-system-simple-perl,
               libxml-libxml-perl <!nocheck>,
               libnet-ssh2-perl <!nocheck>,
               libtest-mockmodule-perl <!nocheck>,
               libdevel-cover-perl <!nocheck>,
               libtest-warnings-perl,
               libpod-coverage-perl <!nocheck>,
               libtest-fatal-perl <!nocheck>,
               libtest-pod-perl <!nocheck>,
               libexception-class-perl <!nocheck>,
               libipc-run-perl,
               libtest-output-perl <!nocheck>,
               libclass-accessor-perl <!nocheck>,
               libautodie-perl <!nocheck>,
               libnet-ip-perl <!nocheck>,
               libfile-which-perl,
               libnet-snmp-perl,
               libjson-xs-perl:native,
# needs to be tested
               libtest-compile-perl <!nocheck>,
               liblist-moreutils-perl <!nocheck>,
               libperl-critic-perl <!nocheck>,
               libtest-mock-time-perl <!nocheck>,
               libsocket-msghdr-perl <!nocheck>,
               libcpanel-json-xs-perl:native <!nocheck>,
               libmojo-ioloop-readwriteprocess-perl <!nocheck>,
               libtest-strict-perl <!nocheck>,
               libtest-exception-perl <!nocheck>,
               libfile-touch-perl <!nocheck>,
               libtest-mockobject-perl <!nocheck>,
               libtest-most-perl <!nocheck>,
               libyaml-libyaml-perl <!nocheck>,
               libyaml-pp-perl <!nocheck>,
               libxml-semanticdiff-perl <!nocheck>,
               libio-stringy-perl <!nocheck>,
               libinline-perl <!nocheck>,
               libinline-python-perl <!nocheck>,
               libfile-chdir-perl <!nocheck>,
               libtest-mockrandom-perl <!nocheck>,
               libtime-moment-perl <!nocheck>,
               libjson-validator-perl <!nocheck>,
               libcode-tidyall-perl <!nocheck>,
               spell <!nocheck>,
               git <!nocheck>,
               wget <!nocheck>,
               cpio <!nocheck>,
               procps <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: http://open.qa
Vcs-Git: https://salsa.debian.org/debian/os-autoinst.git
Vcs-Browser: https://salsa.debian.org/debian/os-autoinst

Package: os-autoinst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
         qemu-system-x86 (>= 4.0.0), qemu-utils,
         optipng, git, tesseract-ocr-all,
         python3,
# specify version
               libmojolicious-perl (>= 5.60),
# same as B-D
               libcarp-always-perl,
               libdata-dump-perl,
               libcrypt-des-perl,
               libjson-perl,
               libnet-dbus-perl,
               libipc-system-simple-perl,
               libxml-libxml-perl,
               libnet-ssh2-perl,
               libtest-mockmodule-perl,
               libdevel-cover-perl,
               libtest-warnings-perl,
               libpod-coverage-perl,
               libtest-fatal-perl,
               libtest-pod-perl,
               libexception-class-perl,
               libipc-run-perl,
               libtest-output-perl,
               libautodie-perl,
               libnet-ip-perl,
               libfile-which-perl,
               libnet-snmp-perl,
               libjson-xs-perl,
Enhances: openqa
Recommends: x11-xkb-utils,
# Upstream recommends: /usr/bin/Xvnc
            tigervnc-standalone-server,
# Upstream recommends: dumponlyconsole
            openvswitch-switch,
Description: automated testing of Operating Systems
 The OS-autoinst project aims at providing a means to run fully automated
 tests. Especially to run tests of basic and low-level operating system
 components such as bootloader, kernel, installer and upgrade, which can not
 easily and safely be tested with other automated testing frameworks.
 However, it can just as well be used to test firefox and openoffice operation
 on top of a newly installed OS.
 .
 os-autoinst can be executed alone, but is currently designed to be executed
 together with openQA, the web user interface that allows one to run more than
 one os-autoinst instance at the same time.
